
	function queryClaimTrack(claimNo){
		$("#historyTrack").find("p").remove();
		$.ajax({
			type:"POST",
			url:"queryClaimTrack.do",
			data:{"claimNo":claimNo},
			error :function(){
				alert("查询赔案操作轨迹失败，请稍后再试！");
				return ;
			},
			success :function(data){
			
				$("#historyTrackClaim").text(claimNo+" 历史轨迹");
				if(data ==""){
					alert("没有历史轨迹！");
					return ;
				}
				for ( var i= 0; i < data.length; i++) {
					var t=data[i];
					var p=$("<p class=\"sild_open_his\"><span class=\"sild_open_his_icon\" style=\"width:20%;white-space:nowrap;\">" +t.operateType+"</span><span style=\"width:30%;white-space:nowrap;\">"+t.operateDate+
							"	</span><span style=\"width:30%;white-space:nowrap;\">"+t.operator+"</span></p>");
					$("#historyTrack").append(p);
				}
				
//				for(key in data){
//	        		 var html = "";
//	        		 html +="<p class=\"sild_open_his\">";
//                    html +="<span class=\"sild_open_his_icon\">"+data[key].operateType+"</span>";
//                    html +="<span>"+jsonDateFormat(data[key].operateBegDate,10)+"-"+jsonDateFormat(data[key].operateEndDate,10)+" </span>";       
//                    html +="<span>"+data[key].operator+"</span>";
//                	 html +="</p>";
//                	 $('#historyTrack').html(html);
//	        	}
//				
//				for ( var i= 0; i < data.length; i++) {
//					var t=data[i];
//					var p=$("<p class=\"sild_open_his\"><span class=\"sild_open_his_icon\">" +
//							t.operateType+"</span><span>"+jsonDateFormat(t.operateBegDate,10)+"-"+jsonDateFormat(t.operateEndDate,10)+
//							"	</span><span>"+t.operator+"</span></p>");
//					$("#historyTrack").append($(p));
//				}
				showDiv('open1');
			}
		});
	}
	//时间显示工具
	function jsonDateFormat(date,length){
	    var string=date.split("-");	    
	    	return string[0] + "/" + string[1] + "/" + string[2];	    		
	}
	
	function skipTo(str){
		var params={};
		params['preno'] = str;
		SkipByPost("../dataenter/checkgrant.do",params);
	}
//	function jsonDateFormat(date,length){
//	    var datetime = new Date();
//	    datetime.setTime(date);
//	    var year = datetime.getFullYear();
//	    var month = datetime.getMonth() + 1 < 10 ? "0" + (datetime.getMonth() + 1) : datetime.getMonth() + 1;
//	    var date = datetime.getDate() < 10 ? "0" + datetime.getDate() : datetime.getDate();
//	    var hour = datetime.getHours()< 10 ? "0" + datetime.getHours() : datetime.getHours();
//	    var minute = datetime.getMinutes()< 10 ? "0" + datetime.getMinutes() : datetime.getMinutes();
//	    var second = datetime.getSeconds()< 10 ? "0" + datetime.getSeconds() : datetime.getSeconds();
//	    if(length==10){
//	    	return year + "-" + month + "-" + date;
//	    }else{
//	    	return year + "-" + month + "-" + date+" "+hour+":"+minute+":"+second;
//	    }
//	}